-- phpMyAdmin SQL Dump
-- version 4.1.3
-- http://www.phpmyadmin.net
--
-- Värd: localhost
-- Tid vid skapande: 08 dec 2014 kl 16:12
-- Serverversion: 5.5.34-32.0-log
-- PHP-version: 5.3.3

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Databas: `g176175_galaxy`
--

-- --------------------------------------------------------

--
-- Tabellstruktur `achievements_t`
--

CREATE TABLE IF NOT EXISTS `achievements_t` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `name` varchar(20) NOT NULL,
  `level` varchar(40) NOT NULL,
  `score` int(11) NOT NULL,
  `replay` mediumblob,
  `ip` varchar(32) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=60 ;

--
-- Dumpning av Data i tabell `achievements_t`
--

-- Too much data

-- --------------------------------------------------------

--
-- Tabellstruktur `info_t`
--

CREATE TABLE IF NOT EXISTS `info_t` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `latest_version` varchar(8) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COMMENT='Useful game info' AUTO_INCREMENT=2 ;

--
-- Dumpning av Data i tabell `info_t`
--

INSERT INTO `info_t` (`id`, `latest_version`) VALUES
(1, '1.83');

-- --------------------------------------------------------

--
-- Tabellstruktur `levels_t`
--

CREATE TABLE IF NOT EXISTS `levels_t` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `level` varchar(40) NOT NULL,
  `is_time` tinyint(1) NOT NULL DEFAULT '1',
  `ordering` int(11) NOT NULL,
  `limit1` int(11) NOT NULL,
  `limit2` int(11) NOT NULL,
  `limit3` int(11) NOT NULL,
  `is_singleplayer` tinyint(4) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COMMENT='valid levels for hiscore' AUTO_INCREMENT=61 ;

--
-- Dumpning av Data i tabell `levels_t`
--

INSERT INTO `levels_t` (`id`, `level`, `is_time`, `ordering`, `limit1`, `limit2`, `limit3`, `is_singleplayer`) VALUES
(2, 'race00_3pl', 1, 0, 35000, 41000, 200000, 1),
(3, 'race01_3pl', 1, 1, 61000, 72000, 200000, 1),
(4, 'race02_4pl', 1, 2, 47000, 57000, 200000, 1),
(5, 'race03_2pl', 1, 3, 52000, 61000, 200000, 1),
(6, 'race04_2pl', 1, 4, 45000, 56000, 200000, 1),
(7, 'race05_4pl', 1, 5, 53000, 64000, 300000, 1),
(8, 'race06_4pl', 1, 6, 52000, 63000, 300000, 1),
(9, 'race07_2pl', 1, 7, 92000, 103000, 300000, 1),
(10, 'race08_8pl', 1, 8, 64000, 72000, 300000, 1),
(11, 'race09_4pl', 1, 9, 90000, 112000, 300000, 1),
(12, 'race10_4pl', 1, 10, 99000, 113000, 300000, 1),
(13, 'race11_4pl', 1, 11, 51000, 58000, 300000, 1),
(14, 'race12_4pl', 1, 12, 88000, 110000, 300000, 1),
(15, 'race13_3pl', 1, 13, 58000, 67000, 300000, 1),
(16, 'mission00', 0, 30, 282000, 230000, 1000, 1),
(17, 'mission01', 0, 31, 302000, 250000, 1000, 1),
(18, 'mission02', 0, 32, 345000, 300000, 1000, 1),
(19, 'mission03', 0, 33, 355000, 318000, 1000, 1),
(20, 'mission04', 0, 34, 388000, 330000, 1000, 1),
(21, 'mission05', 0, 35, 394000, 340000, 1000, 1),
(22, 'mission06', 0, 36, 371000, 325000, 1000, 1),
(23, 'mission07', 0, 37, 364000, 330000, 1000, 1),
(24, 'mission08', 0, 38, 300000, 270000, 1000, 1),
(25, 'mission09', 0, 39, 347000, 320000, 1000, 1),
(26, 'mission10', 0, 40, 283000, 260000, 1000, 1),
(27, 'mission11', 0, 41, 462000, 390000, 1000, 1),
(28, 'mission12', 0, 42, 510000, 380000, 1000, 1),
(29, 'mission13', 0, 43, 520000, 400000, 1000, 1),
(30, 'mission14', 0, 44, 380000, 290000, 1000, 1),
(31, 'mission15', 0, 45, 500000, 380000, 1000, 1),
(32, 'mission16', 0, 46, 270000, 150000, 1000, 1),
(33, 'mission_narrow', 0, 60, 150000, 90000, 1000, 1),
(36, 'mission_coop0', 0, 80, 300000, 150000, 1000, 0),
(41, 'race14_2pl', 1, 14, 69000, 82000, 300000, 1),
(38, 'mission_coop1', 0, 81, 330000, 160000, 1000, 0),
(39, 'mission_coop2', 0, 82, 350000, 180000, 1000, 0),
(40, 'race15_4pl', 1, 15, 145000, 158000, 300000, 1),
(42, 'race16_3pl', 1, 16, 85000, 97000, 300000, 1),
(43, 'race17_3pl', 1, 17, 89000, 100000, 300000, 1),
(44, 'race18_4pl', 1, 18, 27000, 33000, 200000, 1),
(45, 'mission_hard', 0, 61, 220000, 80000, 1000, 1),
(46, 'mission_coop3', 0, 83, 280000, 140000, 1000, 0),
(47, 'race00_zero', 1, 19, 39000, 52000, 300000, 1),
(48, 'race04_jupiter', 1, 20, 57500, 69000, 300000, 1),
(49, 'mission04_mod', 0, 63, 385000, 360000, 1000, 1),
(50, 'mission06_mod', 0, 64, 360000, 260000, 1000, 1),
(51, 'mission01_mod', 0, 62, 310000, 160000, 1000, 1),
(52, 'race10_mod', 1, 21, 135000, 150000, 300000, 1),
(58, 'mission17', 0, 47, 330000, 250000, 1000, 1);

-- --------------------------------------------------------

--
-- Tabellstruktur `members_t`
--

CREATE TABLE IF NOT EXISTS `members_t` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(16) NOT NULL,
  `email` varchar(64) NOT NULL,
  `password` varchar(36) NOT NULL,
  `activation` varchar(36) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=25 ;

--
-- Dumpning av Data i tabell `members_t`
--

-- Not done

-- --------------------------------------------------------

--
-- Tabellstruktur `statistics_t`
--

CREATE TABLE IF NOT EXISTS `statistics_t` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `page` varchar(32) NOT NULL,
  `count` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=5 ;

--
-- Dumpning av Data i tabell `statistics_t`
--

INSERT INTO `statistics_t` (`id`, `page`, `count`) VALUES
(1, 'index.php', 14671),
(2, 'implementation.php', 1921),
(3, 'achievements_post.php', 0),
(4, 'getinfo.php', 2285);

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
