<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
	<meta http-equiv="content-type" content="text/html; charset=iso-8859-1">
	<meta http-equiv="content-language" content="en-us">
	<meta name="description" content="Galaxy Forces V2 - A multiplayer Gravity Force clone with global hiscores and achievements.">
	<meta name="keywords" content="hiscore achievements game gravity force clone multiplayer AI free">
	<meta name="author" content="Ronnie Hedlund">

	<title>Galaxy Forces V2: Reset password</title>
	<link rel="stylesheet" type="text/css" href="gf.css">
	<link rel="icon" type="image/gif" href="images/favicon.gif">
	
	<script type="text/javascript" src="utf8_encode.js"></script>
	<script type="text/javascript" src="md5.js"></script>
	<script type="text/javascript">
	<!--
	function pwd_handler(form)
	{
		if (form.password.value != '') {
			if (form.password.value == form.password2.value) {
				form.md5password.value = md5(form.password.value);
				form.password.value = '';
				form.password2.value = '';
			}
		}
	}
	//-->
	</script>
	
</head>
<body>

<table class=main align="center" cellspacing="0" cellpadding="0">
<tr><td>

<br>
<?php
require_once("headline.php");
headline("Password reset");
?>
<br>

<?php
square_start("'100%'");
?>

<?php
	require_once("db_connect.php");
	require_once("checkparams.php");

	$key = $_GET["key"];
	$paramArray = array($key);

	if(checkstring($paramArray) && $key!="") {
		$db = connect_to_db();

		$query = "SELECT * FROM members_t WHERE activation='$key'";
		$result_member = mysqli_query($db, $query);

		$num_rows = @mysqli_num_rows($result_member);
		if($num_rows==1) {
			$row = @mysqli_fetch_assoc($result_member);

			if(isset($_POST['md5password']) && strlen($_POST['md5password'])==32) {
				// update the database to set the "activation" field to null
				$pw = $_POST['md5password'];
				$query_activate_account = "UPDATE members_t SET activation=NULL,password='$pw' WHERE(activation ='$key') LIMIT 1";
				$result_activate_account = mysqli_query($db, $query_activate_account);
				// print a customized message:
				if (mysqli_affected_rows($db) == 1) { //if update query was successful
					echo '<div>Your account is now active. You may now log in from the game with the new password.</div>';
				} else {
					echo '<div>Error! Your account could not be activated. Please recheck the link or contact the administrator.</div>';
				}
			} else {
				echo '<form action="member_resetpass_do.php?key=';
				echo $key;
				echo '" method="post" class="resetpass_form" onsubmit="pwd_handler(this);">
					<p>Reset member password.</p>
					<div class="elements">
						<label class="register" for="password">New Password</label>
						<input type="password" id="password" name="password" size="25" maxlength="15">
					</div>
					<div class="elements">
						<label class="register" for="password2">Retype New Password</label>
						<input type="password" id="password2" name="password2" size="25" maxlength="15">
					</div>
					<div class="submit">
						<input type="hidden" name="md5password" value="" />
						<input type="hidden" name="formsubmitted3" value="TRUE" />
						<input type="submit" value="Register" />
					</div>
				</form>';
			}
		}
		
		mysqli_close($db); //close the db connection
	} //end of the main submit conditional
?>

<?php
square_end();
?>
<br><br><br>

</td></tr></table>
</body>
</html>