<!DOCTYPE html>
<html lang="en">
<head>
	<meta http-equiv="content-type" content="text/html; charset=UTF-8">
	<meta name="description" content="Global hiscore replay for Galaxy Forces V2.">
	<meta name="keywords" content="game hiscore replay dart language html5">
	<meta name="author" content="Ronnie Hedlund">
	<title>Galaxy Forces V2: Replay</title>
	<link rel="stylesheet" type="text/css" href="gf.css">
	<link rel="icon" type="image/gif" href="images/favicon.gif">
</head>
<body>
<table align="center" cellspacing="0" cellpadding="0">
<tr><td>

<br>
<?php
	require_once("checkparams.php");
	require_once("square.php");
	require_once("headline.php");

	$paramArray = array($_GET["Level"], $_GET["Name"]);
	if(checkstring($paramArray)) {
		$level = $_GET["Level"];
		if($level=="") $level = "unknown";
		$name = $_GET["Name"];
		headline($level." by ".$name);
		echo "<br><br>";

		square_start("'0'");
		echo "<input type=\"hidden\" id=\"Level\" value=\"".$level."\">";
		echo "<input type=\"hidden\" id=\"Name\" value=\"".$name."\">";
		echo "<canvas id=\"webreplay-canvas\" width=\"800\" height=\"600\"></canvas>";
		echo "<script type=\"text/javascript\" src=\"web_replay2.js\"></script>";

		square_end();
	}
?>
</td></tr>
</table>
</body>
</html>
