package GalaxyPK;

public class C_Timer
{
	private long  m_qLastTime;  //last counter value
	private double m_dPeekTime;  //milliseconds 
	
	public C_Timer()
	{
		Reset();
	}
	
	public double GetInterval()
	{
		long qCurTime, qDiffTime;
		
		qCurTime = System.currentTimeMillis();
		qDiffTime = qCurTime - m_qLastTime; //normal
		//^overflow will never happen because a long is 64 bits in java...
		m_qLastTime = qCurTime;
		
		double dTime = (double)qDiffTime;
		dTime += m_dPeekTime;
		m_dPeekTime = 0.0;
		return dTime;
	}
		
	public double PeekInterval()
	{
		m_dPeekTime = GetInterval();
		return m_dPeekTime;
	}
	
	public void Reset()
	{
		m_qLastTime = System.currentTimeMillis();
		m_dPeekTime = 0.0;
	}

}
