package GalaxyPK;

import java.io.*;
import java.net.URL;

public class ReplayConnection 
{
	public ReplayConnection()
	{
	}
	
	public C_Replay getReplay(String page)
	{
		URL url = null;
		InputStream stream = null;
		
		// parse html and load replay
		try { 
			// fetch html data
			url = new URL(page+"&A="+java.lang.System.nanoTime());
			stream =  url.openStream();			

			byte[] data_base64 = new byte[512*1024];

			int iCount, iPos = 0;
			do {
				iCount = stream.read(data_base64, iPos, data_base64.length-iPos);
				iPos += iCount;
			} while(iCount>0);
			stream.close();
			byte[] data_bin = Base64.decode(new String(data_base64).trim());

			C_Replay clReplay = new C_Replay();
			clReplay.LoadFromMem(data_bin);
			return clReplay;
		} catch (Exception e) {
			// close if exist and open
			if(stream != null) {
				try	{
					stream.close();
				}
				catch(Exception dontCare) { }				
			}
			System.out.println(e.getMessage());
		}
		return null;
	}
	
}