package LoaderPK;

import java.awt.*;
import java.io.*;
import java.awt.image.*;
import javax.imageio.*;

public class C_Loader {
	private static ClassLoader s_oLoader = null;
	
	public static void Init(Component i_oComponent)
	{
		s_oLoader = i_oComponent.getClass().getClassLoader();
	}
	
	public static Image LoadImage(String i_szFile)
	{
		BufferedImage oImg = null;
		try {
			InputStream pStream = s_oLoader.getResourceAsStream(i_szFile);
			if(pStream==null) pStream = s_oLoader.getResourceAsStream("/"+i_szFile);
			oImg = ImageIO.read(pStream);
		} catch(Exception e) {
			e.printStackTrace();
		}
		
		return oImg;
	}

	public static InputStream GetStream(String i_szFile)
	{
		InputStream pStream = null;
		try {
			pStream = s_oLoader.getResourceAsStream(i_szFile);
			if(pStream==null) pStream = s_oLoader.getResourceAsStream("/"+i_szFile);
		} catch(Exception e) {
			System.out.println("Error opening file " + i_szFile);
		}
		return pStream;
	}
	
	public static InputStream OpenStream(String i_szFile)
	{
		InputStream pStream = null;
		try {
			pStream = s_oLoader.getResourceAsStream(i_szFile);
			if(pStream==null) pStream = s_oLoader.getResourceAsStream("/"+i_szFile);
		} catch(Exception e) {
			System.out.println("Error opening file " + i_szFile);
		}
		return pStream;
	}
}
