
// C_ShipState

//class to hold ship state (for AI)

#include "ShipState.h"

const double C_ShipState::INFINITE_DISTANCE = 1e9;

double C_ShipState::SinTable[360 / OBJECT_HEADING_STEP];
double C_ShipState::CosTable[360 / OBJECT_HEADING_STEP];

void C_ShipState::Initialize()
{
	for (int k = 0; k < 360 / OBJECT_HEADING_STEP; ++k)
	{
		int realDir = k;
		SinTable[k] = sin(realDir*(OBJECT_HEADING_STEP*(PI/180)));
		CosTable[k] = cos(realDir*(OBJECT_HEADING_STEP*(PI/180)));
	}
}
