// C_Environment

//class to hold per map constants.

#include "environment_defaults.h"

double C_Environment::m_dShipGravityBaseX = DEFAULT_SHIPGRAVITYBASEX;
double C_Environment::m_dShipGravityBaseY = DEFAULT_SHIPGRAVITYBASEY;
double C_Environment::m_dShipResistanceX  = DEFAULT_SHIPRESISTANCEX;
double C_Environment::m_dShipResistanceY  = DEFAULT_SHIPRESISTANCEY;
double C_Environment::m_dShipSteerSpeed   = DEFAULT_SHIPSTEARSPEED;
double C_Environment::m_dShipThrust       = DEFAULT_SHIPTHRUST;

void C_Environment::InitializeDefault()
{
	m_dShipGravityBaseX = DEFAULT_SHIPGRAVITYBASEX;
	m_dShipGravityBaseY = DEFAULT_SHIPGRAVITYBASEY;
	m_dShipResistanceX  = DEFAULT_SHIPRESISTANCEX;
	m_dShipResistanceY  = DEFAULT_SHIPRESISTANCEY;

	m_dShipSteerSpeed   = DEFAULT_SHIPSTEARSPEED;
	m_dShipThrust       = DEFAULT_SHIPTHRUST;
}

void C_Environment::Initialize(double i_dGravityX, double i_dGravityY, double i_dResistanceX, double i_dResistanceY, double i_dShipSteerSpeed, double i_dShipThrust)
{
	m_dShipGravityBaseX = i_dGravityX;
	m_dShipGravityBaseY = i_dGravityY;
	m_dShipResistanceX  = i_dResistanceX;
	m_dShipResistanceY  = i_dResistanceY;

	m_dShipSteerSpeed   = i_dShipSteerSpeed;
	m_dShipThrust       = i_dShipThrust;
}
