// C_HttpUtil

#ifndef HTTP_UTIL_H
#define HTTP_UTIL_H

#include "socket_2.h"

class C_HttpUtil
{
public:
	static unsigned char *base64_encode(unsigned char *i_pData, int i_iLen, int *o_iLen); //allocates return value
	static unsigned char *base64_decode(unsigned char *i_pData, int i_iLen, int *o_iLen); //allocates return value

	static bool url_encode(char *i_szString, char *o_szString, int i_iMaxOutLen); //valid chars are (0-9,a-z,A-Z,@,.,-,_, space)
	static bool utf8_encode(char *i_szString, char *o_szString, int i_iMaxOutLen);

	static bool md5chksum_encode(char *i_szString, char *o_szString, int i_iMaxOutLen); //i_iMaxOutLen should be 32+1
};

#endif
