// ImageUtils

#ifndef IMAGEUTILS_H
#define IMAGEUTILS_H

#include "common.h"
#include "image.h"

namespace ImageUtils
{
	bool Compare(const C_Image *i_pImg1, int i_iX1, int i_iY1, const C_Image *i_pImg2, int i_iX2, int i_iY2,
		const S_Rect *i_pstRect1 = NULL, const S_Rect *i_pstRect2 = NULL, const int i_iPixelStep = 1);
	bool Compare(const C_Image *i_pImg1, const C_Image *i_pImg2, const S_Rect *i_pstRect1, const S_Rect *i_pstRect2,
		const int i_iPixelStep = 1);

	bool RectContainsPoint(S_Rect *i_pstR, int x, int y);

	bool RectContainsRect(S_Rect *i_pstR1, S_Rect *i_pstR2);

	bool IntersectRect2(S_Rect *o_pstROverlap, S_Rect *i_pstR1, S_Rect *i_pstR2);
}

#endif
