
#ifndef _SHISCORE_H_
#define _SHISCORE_H_

#define MAXSCORESINLIST     10   //num pos in hiscore-list
#define MAXPLAYERNAMELENGTH 12   //11+null
#define MAXGAMENAMELENGTH   18   //17+null
#define MAXPASSWORDLENGTH   33   //32+NULL

#define BAD_SCORE -500000000

#include "common.h"

#pragma pack(2)
struct S_HiScore
{
	char szMagic[4]; //"GFHI"
	uint16_t iNumInList;
	char szLevelName[40];

	int iScore[MAXSCORESINLIST];
	char szName[MAXSCORESINLIST][MAXPLAYERNAMELENGTH];
};
#pragma pack()

#endif
