// C_TargaImg

#ifndef _TARGA_H
#define _TARGA_H

#include "common.h"
#include "image.h"

class C_TargaImg
{
public:
	static C_Image *Load(char *i_szFilename, char *i_szResname);
	static C_Image *Load(void *i_pTargaData);

	static bool Save(char *i_szFilename, C_Image *i_pclSrc, bool i_bFlip = false);
	static bool SaveCompressed(char *i_szFilename, C_Image *i_pclSrc, bool i_bFlip = false);
private:
	static C_Image *LoadPrivate(char *i_szFilename, char *i_szResname, void *i_pTargaData);
};

#endif
