// C_HiScoreList

#ifndef _HISCORELIST_H
#define _HISCORELIST_H

#include "../galaxyv2/s_hiscore.h"

class C_HiScoreList
{
public:
	C_HiScoreList(char *i_szFileName, bool i_bAccending = true, bool *o_bFileExisted = NULL);
	~C_HiScoreList();

	void SetLevelName(char *i_szLevelName); //sets the levelnamefield of the list

	bool Add(char *i_szName, int i_iScore); //put a new hiscore to the list, saves the list
	bool GetAsData(S_HiScore *o_pstHiScore);
private:
	//"crypto"
	void Invert(S_HiScore *io_pstHiscore);

	//disk operations
	bool Load();
	void Save();
	char *m_szFileName;

	//listoperations
	int m_iNumInList;
	S_HiScore m_stList;

	//sortorder
	bool m_bAccending;
};

#endif
