<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
	<meta http-equiv="content-type" content="text/html; charset=iso-8859-1">
	<meta http-equiv="content-language" content="en-us">
	<meta name="description" content="Galaxy Forces V2 - A multiplayer Gravity Force clone with global hiscores and achievements.">
	<meta name="keywords" content="hiscore achievements game gravity force clone multiplayer AI free">
	<meta name="author" content="Ronnie Hedlund">

	<title>Galaxy Forces V2: Register</title>
	<link rel="stylesheet" type="text/css" href="gf.css">
	<link rel="icon" type="image/gif" href="images/favicon.gif">
</head>
<body>

<table class=main align="center" cellspacing="0" cellpadding="0">
<tr><td>

<br>
<?php
require_once("headline.php");
headline("Register player");
?>
<br>

<?php
square_start("'100%'");
?>

<?php
	require_once("db_connect.php");
	require_once("checkparams.php");
	require_once("do_mail.php");
	include('Mail.php');

	if (isset($_POST['formsubmitted'])) {
		$db = connect_to_db();
		$error = array(); //declare an array to store any error message
		if (empty($_POST['name'])) { //if no name has been supplied
			$error[] = 'Please enter a name '; //add to array "error"
		} else {
			$name = $_POST['name']; //else assign it a variable
		}

		if (empty($_POST['e-mail'])) {
			$error[] = 'Please enter your E-mail ';
		} else {
			if (preg_match("/^([a-zA-Z0-9])+([a-zA-Z0-9\._-])*@([a-zA-Z0-9_-])+([a-zA-Z0-9\._-]+)+$/",
				$_POST['e-mail'])) {
				//regular expression for email validation
				$email = $_POST['e-mail'];
			} else {
				$error[] = 'Your E-mail address is invalid ';
			}
		}

		if (empty($_POST['md5password'])) {
			$error[] = 'Please enter your password ';
		} else {
			$password = $_POST['md5password'];
		}

		if (empty($error)) //send to database if there's no error '
		{ // if everything's OK...
			// make sure the email address is available
			$query_verify_email = "SELECT * FROM members_t WHERE email ='$email'";
			$result_verify_email = mysqli_query($db, $query_verify_email);
			if (!$result_verify_email) { //if the query failed, similar to if($result_verify_email==false)
				echo ' Database Error ';
			}
			$available_email = mysqli_num_rows($result_verify_email) == 0;
			
			//make sure the name is available
			$query_verify_name = "SELECT * FROM members_t WHERE username ='$name'";
			$result_verify_name = mysqli_query($db, $query_verify_name);
			if (!$result_verify_name) { //if the query failed, similar to if($result_verify_name==false)
				echo ' Database Error 2 ';
			}
			$available_name = mysqli_num_rows($result_verify_name) == 0;

			if ($available_email && $available_name) { //if no previous user is using this email
				//create a unique activation code
				$activation = md5(uniqid(rand(), true));

				$query_insert_user =
					"INSERT INTO `members_t` ( `username`, `email`, `password`, `activation`) VALUES ( '$name', '$email', '$password', '$activation')";

				$result_insert_user = mysqli_query($db, $query_insert_user);
				if (!$result_insert_user) {
					echo 'Query failed ';
				}

				if (mysqli_affected_rows($db) == 1) { //if the insert query was successful
					//build and send the e-mail
					$uri_before_page = explode('/', $_SERVER["REQUEST_URI"]);
					array_pop($uri_before_page);
					$uri_before_page = implode('/', $uri_before_page);

					$message = "To activate your account, please click on this link:\n\n";
					$message .= "http://" . $_SERVER['SERVER_NAME']. $uri_before_page;
					$message .=  "/member_activate.php?email=" . urlencode($email) . "&key=$activation";
					$message .= "\n\n Do not reply to this mail.\n";
					
					//sf mail deactivation change 20170530 ->
					//removed:
					//send_mail($email, 'Registration confirmation', $message);
					//finish the page
					//echo '<div class="success">Thank you for registering! A confirmation email has been sent to ' . $email .'.'.
					//	'<br>Please click on the activation link to activate your account </div>';

					//sf mail deactivation change 20170530 ->
					//added:
					//finish the page, activate account
					echo '<div class="success">Thank you for registering!</div>';
					$query_activate_account = "UPDATE members_t SET activation=NULL WHERE(email ='$email' AND activation='$activation') LIMIT 1";
					mysqli_query($db, $query_activate_account);
					
				} else { //if it did not run OK
					echo '<div class="errormsgbox">You could not be registered due to a system error. We apologize for any inconvenience.</div>';
				}
			} else { //the email address is not available
				if(!$available_email)
					echo '<div class="errormsgbox" >That email address has already been registered. </div>';
				if(!$available_name)
					echo '<div class="errormsgbox" >That name/alias has already been registered. </div>';
			}

		} else { //if the "error" array contains error msg, display them
			echo '<div class="errormsgbox"> <ol>';
			foreach ($error as $key => $values) {
				echo '  <li>' . $values . '</li>';
			}
			echo '</ol></div>';
		}

		mysqli_close($db); //close the db connection
	} //end of the main submit conditional
?>

<?php
square_end();
?>
<br><br><br>

</td></tr></table>
</body>
</html>