<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
	<meta http-equiv="content-type" content="text/html; charset=iso-8859-1">
	<meta http-equiv="content-language" content="en-us">
	<meta name="description" content="Galaxy Forces V2 - A multiplayer Gravity Force clone with global hiscores and achievements.">
	<meta name="keywords" content="hiscore achievements game gravity force clone multiplayer AI free">
	<meta name="author" content="Ronnie Hedlund">

	<title>Galaxy Forces V2: Reset password</title>
	<link rel="stylesheet" type="text/css" href="gf.css">
	<link rel="icon" type="image/gif" href="images/favicon.gif">
</head>
<body>

<table class=main align="center" cellspacing="0" cellpadding="0">
<tr><td>

<br>
<?php
require_once("headline.php");
headline("Password reset");
?>
<br>

<?php
square_start("'100%'");
?>

<?php
	require_once("db_connect.php");
	require_once("checkparams.php");
	require_once("do_mail.php");
	include('Mail.php');

	if (isset($_POST['formsubmitted2'])) {
		$db = connect_to_db();

		$error = array(); //declare an array to store any error message

		if (empty($_POST['e-mail2'])) {
			$error[] = 'Please enter your E-mail ';
		} else {
			if (preg_match("/^([a-zA-Z0-9])+([a-zA-Z0-9\._-])*@([a-zA-Z0-9_-])+([a-zA-Z0-9\._-]+)+$/",
				$_POST['e-mail2'])) {
				//regular expression for email validation
				$email = $_POST['e-mail2'];
			} else {
				$error[] = 'Your E-mail address is invalid ';
			}
		}
		if (empty($error)) //retrieve from database if there's no error '
		{ // if everything is OK...
			// make sure the email address is available
			$query_verify_email = "SELECT * FROM members_t WHERE email ='$email'";
			$result_verify_email = mysqli_query($db, $query_verify_email);

			if (!$result_verify_email) { //if the query failed, similar to if($result_verify_email==false)
				echo ' Database Error ';
			}

			$existing_email = mysqli_num_rows($result_verify_email) == 1;
			if ($existing_email) {
				$row = @mysqli_fetch_assoc($result_verify_email);

				//create a unique activation code
				$activation = md5(uniqid(rand(), true));

				$query_activate_account = "UPDATE members_t SET activation='$activation' WHERE(email ='$email') LIMIT 1";
				$result_activate_account = mysqli_query($db, $query_activate_account);

				if (!$result_activate_account) {
					echo 'Query failed ';
				}

				if (mysqli_affected_rows($db) == 1) { //if the update query was successful
					//build and send the e-mail
					$uri_before_page = explode('/', $_SERVER["REQUEST_URI"]);
					array_pop($uri_before_page);
					$uri_before_page = implode('/', $uri_before_page);

					$message = "Your user name is ".$row['username']."\n";
					$message .= "To reset your account password, please click on this link:\n\n";
					$message .= "http://" . $_SERVER['SERVER_NAME']. $uri_before_page;
					$message .=  "/member_resetpass_do.php?email=" . urlencode($email) . "&key=$activation";
					$message .= "\n\n Do not reply to this mail.\n";
					
					//sf mail deactivation change 20170530 ->
					//removed:
					//send_mail($email, 'Reset account password', $message);
					//finish the page
					//echo '<div class="success">An email has been sent to ' . $email .'.'.
					//	'<br>Please click on the activation link to finish the process of resetting your password.</div>';

				} else { //if it did not run OK
					echo '<div class="errormsgbox">You could not be registered due to a system error. We apologize for any inconvenience.</div>';
				}

			} else { //the email address is not available
				echo '<div class="errormsgbox" >That email address is not registered. </div>';
			}
		} else { //if the "error" array contains error msg, display them
			echo '<div class="errormsgbox"> <ol>';
			foreach ($error as $key => $values) {
				echo '  <li>' . $values . '</li>';
			}
			echo '</ol></div>';
		}
		
		mysqli_close($db); //close the db connection
	} //end of the main submit conditional
?>

<?php
square_end();
?>
<br><br><br>

</td></tr></table>
</body>
</html>