<!DOCTYPE html>
<html lang="en">
<head>
	<meta http-equiv="content-type" content="text/html; charset=UTF-8">
	<meta name="description" content="Play single player Galaxy Forces V2 as a html5/webgl game.">
	<meta name="keywords" content="game hiscore replay dart language html5">
	<meta name="author" content="Ronnie Hedlund">
	<title>Galaxy Forces V2: Testing single player</title>
	<link rel="stylesheet" type="text/css" href="gf_fs_canvas.css">
	<link rel="icon" type="image/gif" href="images/favicon.gif">
</head>
<body>

<?php
	require_once("checkparams.php");
	require_once("square.php");
	require_once("headline.php");

	$paramArray = array($_GET["Level"], $_GET["Name"]);
	if(checkstring($paramArray)) {
		$level = $_GET["Level"];
		if($level=="") $level = "unknown";
		$name = $_GET["Name"];
//		headline($level." by ".$name);
//		echo "<br><br>";

//		square_start("'0'");
		echo "<input type=\"hidden\" id=\"Level\" value=\"".$level."\">";
		echo "<input type=\"hidden\" id=\"Name\" value=\"".$name."\">";
		echo "<canvas id=\"webplay-canvas\" width=\"800\" height=\"600\"></canvas>";
		echo "<script type=\"text/javascript\" src=\"web_play.js\"></script>";

//		square_end();
	}
?>

</body>
</html>
