
REM previously 'build_release_files_exclude.txt' was set to exclude files from the xcopy cmd,
REM  but there needed to be too many hacks to get all files copied, also there was an uncertainty
REM  if files would be copied or not after adding new files, so now all files are specified here
REM  instead. This means that when new files/dirs are added to the project, lines may need to be
REM  added here.


REM ---------------------------------------------------------------------------
REM path setup

SET dest_path1=.\web_replay_clean
SET dest_path2=.\web_replay_work

pushd "%~dp0"

md "%dest_path1%"
md "%dest_path2%"


REM ---------------------------------------------------------------------------
REM clean copy #1

md "%dest_path1%\src"
md "%dest_path1%\bin"
md "%dest_path1%\src\GalaxyPK"
md "%dest_path1%\src\LoaderPK"
md "%dest_path1%\src\SoundPK"
md "%dest_path1%\bin\files"

REM /
xcopy .\.classpath "%dest_path1%\"
xcopy .\.project "%dest_path1%\"
REM /src
xcopy .\src\* "%dest_path1%\src"
xcopy .\src\GalaxyPK\*.java "%dest_path1%\src\GalaxyPK\"
xcopy .\src\LoaderPK\*.java "%dest_path1%\src\LoaderPK\"
xcopy .\src\SoundPK\*.java "%dest_path1%\src\SoundPK\"
REM /bin
xcopy .\bin\* "%dest_path1%\bin"
xcopy .\bin\files\* "%dest_path1%\bin\files\"


REM ---------------------------------------------------------------------------
REM clean copy #2 (same as #1)

md "%dest_path2%\src"
md "%dest_path2%\bin"
md "%dest_path2%\src\GalaxyPK"
md "%dest_path2%\src\LoaderPK"
md "%dest_path2%\src\SoundPK"
md "%dest_path2%\bin\files"

REM /
xcopy .\.classpath "%dest_path2%\"
xcopy .\.project "%dest_path2%\"
REM /src
xcopy .\src\* "%dest_path2%\src"
xcopy .\src\GalaxyPK\*.java "%dest_path2%\src\GalaxyPK\"
xcopy .\src\LoaderPK\*.java "%dest_path2%\src\LoaderPK\"
xcopy .\src\SoundPK\*.java "%dest_path2%\src\SoundPK\"
REM /bin
xcopy .\bin\* "%dest_path2%\bin"
xcopy .\bin\files\* "%dest_path2%\bin\files\"

REM ---------------------------------------------------------------------------
popd
