package GalaxyPK;

public class S_NetMsg1
{
	//MSG
	public static final int N_MSG1_MOVEMENT  = 0x01;
	public static final int N_MSG1_KEYCHANGE = 0x02;
	public static final int N_MSG1_NEWBULLET = 0x04;
	public static final int N_MSG1_KILLED    = 0x08;
	public static final int N_MSG1_LANDED    = 0x10;
	public static final int N_MSG1_SCORE     = 0x20;
	public static final int N_MSG1_LAPINFO   = 0x40;

	//KEYSTATE
	public static final int GF_KEY_ACCELERATE = 0x01;
	public static final int GF_KEY_LEFT  = 0x02;
	public static final int GF_KEY_RIGHT = 0x04;
	public static final int GF_KEY_DOWN  = 0x08;

	public int iMsg;
	public int iSenderId;       //player id (or -1 for server)

	//N_MSG1_MOVEMENT, sent every time for movable objects
	public float fPosX, fPosY;
	public float fVelX, fVelY;
	public float fAcceleration;
	public float fDirection;

	public float fGravityY;
	public int   iCargoInHold;
	public boolean bCanCollide;

	//N_MSG1_KEYCHANGE, sent if changed (for correction)
	public int iKeyFlag;

	//N_MSG1_NEWBULLET, new bullet (is sent if a bullet has been fired)
	//N_MSG1_KILLED, remove bullet (is sent if a bullet has collided with the player)
	public int iNumBullets;
	public int iBulletUniqeValBase; //the uniqe value that identifies this bullet (and the base if iNumBullets>1)
	//bullet direction is same as fDirection, velocity is same+BULLET_BASESPEED (use cos,sin(realdir))

	//N_MSG1_KILLED, player hit (computerenemy or human player)
	public int iReason_Hits_Door;
	public int iCauseID;

	//N_MSG1_SCORE
	public int iScore;
	//N_MSG1_LAPINFO
	public int iLap;
	public int iCP;
	public float fBestLapTime;
};
