
part of web_replay2;

class C_ReplayConnection
{
  int _m_iState = 0;
  List<int> _m_lData = null;
  C_Replay m_oReplay = null;

  C_ReplayConnection() {

  }

  LoadReplay(String url) {
    _m_iState = 1;

    HttpRequest.getString(url)
      .then((String fileContents) {   // .success
        _m_lData = CryptoUtils.base64StringToBytes(fileContents);
        _m_iState = 2;
      })
      .catchError((Error error) {
        print(error.toString());
        _m_iState = 3;
      });
  }

  bool IsLoaded() {
    if(_m_iState==2) {
      m_oReplay = new C_Replay();
      m_oReplay.LoadFromMem(_m_lData);

      _m_iState=4;
    }
    return (_m_iState==4);
  }

}
