#include "PathFinderSettings.h"

bool PathFinderSettings::SettingsValid() const
{
	//TODO veryfy this
	if(NumSubtilesPerAxis>16 || NumSubtilesPerAxis<1) return false;
	if(TimeStepMs>1000 || TimeStepMs<5) return false;
	if(BufferZoneWidth>50 || BufferZoneWidth<0) return false;
	if(MaxDistanceToTarget>500000 || MaxDistanceToTarget<20) return false;
	if(NumDirectionCategories>36 || NumDirectionCategories<36) return false;

	return true;
}
