#include "RaceAITasks.h"

void SetUpPathfinderTask::execute()
{
	_pathFinder.initialize();
}

void FindPathTask::execute()
{
	S_ShipState startingState;
	startingState.dPointing = _source.dPointing;
	startingState.stPos = _source.stPosition;
	startingState.stVel = _source.stVelocity;

	_pathFinder.getDistanceBetweenPoints(startingState, _destination, _tempMoves);

	_moves.clear();
	_moves.insert(_moves.begin(), _tempMoves.begin(), _tempMoves.end());
}
