// C_Player

#ifndef _CPLAYER_H
#define _CPLAYER_H

#include <vector>
#include "socket_2.h"
#include "../galaxyv2/netmsgserver.h"

#define MAXPLAYERNAMESIZE 12

class C_Player
{
public:
	C_Player(C_Socket *i_pclSocket);
	~C_Player();

	//player name
	char *GetName();
	void SetName(char *i_szPlayerName);
	char *GetIPString();
	//index
	void SetIndex(int i_iIndex) {m_iIndex = i_iIndex;};
	int GetIndex() {return m_iIndex;};

	C_Socket *GetSocket();
	C_NetMsgServer* GetNetMsg();

	//compare methods
	bool CompareSocket(C_Socket *i_pclSocket);
	bool CompareName(char *i_szName);

	int m_iNumLaps;
	int m_iNumKills;
	int m_iNumLifes;

	bool m_bIsMaster;
private:
	int m_iIndex;
	char m_szName[MAXPLAYERNAMESIZE];
	char m_szIP[20];

	C_Socket *m_pclSocket;
	C_NetMsgServer *m_pclNetMsg;
};
typedef std::vector<C_Player *> C_PlayerList;

#endif
